/*!
 * @file ItemBase.cpp
 * @brief ゲーム中のアイテムベースを定義する
 * @date 2014/02/01
 * @author Deskull
 * 2014 Sikabane Works.
 */

#include "stdafx.h"
#include "ItemBase.h"

ItemBase::ItemBase(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
{
	this->SetDammyData();
}

ItemBase::ItemBase(void)
{
	this->SetDammyData();
}

ItemBase::~ItemBase(void)
{
}

void ItemBase::SetDammyData(void)
{
	this->name = "何か訳の分からないもの";
	this->weight = 0;
}

